bin_PROGRAMS = pswarp
pswarp_CPPFLAGS = $(PSLIB_CFLAGS) $(PSMODULE_CFLAGS) $(PPSTATS_CFLAGS) $(PSPHOT_CFLAGS) $(PSWARP_CFLAGS)
pswarp_LDFLAGS = $(PSLIB_LIBS) $(PSMODULE_LIBS) $(PPSTATS_LIBS) $(PSPHOT_LIBS) $(PSWARP_LIBS)

pswarp_SOURCES = \
	pswarp.c			\
	pswarpArguments.c		\
	pswarpCleanup.c			\
	pswarpLoop.c			\
	pswarpDefine.c			\
	pswarpDefineSkycell.c		\
	pswarpErrorCodes.c		\
	pswarpMapGrid.c			\
	pswarpMatchRange.c		\
	pswarpParseCamera.c		\
	pswarpPixelFraction.c		\
	pswarpSetMaskBits.c		\
	pswarpSetThreads.c	        \
	pswarpTransformReadout.c	\
	pswarpTransformSources.c \
	pswarpTransformTile.c		\
	pswarpVersion.c            

noinst_HEADERS = \
	pswarp.h \
	pswarpErrorCodes.h

clean-local:
	-rm -f TAGS

# Tags for emacs
tags:
	etags `find . -name \*.[ch] -print`

### Error codes.
BUILT_SOURCES = pswarpErrorCodes.h pswarpErrorCodes.c
CLEANFILES = pswarpErrorCodes.h pswarpErrorCodes.c

pswarpErrorCodes.h : pswarpErrorCodes.dat pswarpErrorCodes.h.in
	$(ERRORCODES) --data=pswarpErrorCodes.dat --outdir=. pswarpErrorCodes.h

pswarpErrorCodes.c : pswarpErrorCodes.dat pswarpErrorCodes.c.in pswarpErrorCodes.h
	$(ERRORCODES) --data=pswarpErrorCodes.dat --outdir=. pswarpErrorCodes.c
